# ControlPrincipal
Date: 2016-11-30

control

## Class ControlPrincipal

- java.lang.Object
- - control.ControlPrincipal

    public class ControlPrincipal
    extends java.lang.Object

Esta clase se dedica al control de la ventana Principal y sus distintos paneles

### Constructor Summary

Constructors
Constructor and Description
`ControlPrincipal(java.lang.String usuario)` Constructor de la clase el cual inicia una clase archivo y llama a los metodos ordenar, actId y actSaldos

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actId()` Actualiza los id de las filas del archivo esto para que despues de cualquier reordenamiento se mantenga el orden en los ids
`void` `actSaldos()` Actualiza todos los saldos dentro del archivo para que sean correspondientes.
`void` `aņadir(java.lang.String fecha, java.lang.String documento, java.lang.String fd, java.lang.String desc, java.lang.String ing, java.lang.String egr)` Genera el id para la nueva linea, calcula el saldo y aņade la linea generada al archivo
`void` `eliminarFila(java.lang.String id)` Elimina la fila que contenga el id entregado
`java.lang.String[]` `getLastRow()` Entrega la ultima fila en el archivo
`java.lang.String[]` `getRow(int id)` Entrega la fila correspondiente al id
`int` `getRowCount()`
`boolean` `isFiled()` Comprueba si el archivo tiene contenido, se considera eso como verdadero cuando el archivo contiene mas de 5 caracteres
`void` `modificarFila(java.lang.String id, java.lang.String fecha, java.lang.String documento, java.lang.String fd, java.lang.String desc, java.lang.String ing, java.lang.String egr)` Modifica una fila que contenga el id entregado
`void` `ordenar()` Ordena las filas del archivo respecto a sus fechas
`int[]` `resumenDoc()` Genera un resumen de los datos en el archivo respecto a el tipo de documento.
`java.lang.String[][]` `resumenMes()` Genera un String[][] con un resumen por mes de cada archivo, teniendo en siendo el primer indice correspondiente a fecha/saldo/ingresos/egresos y el segundo indice correspondiente a cada mes contenido en el archivo

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlPrincipal

    public ControlPrincipal(java.lang.String usuario)

Constructor de la clase el cual inicia una clase archivo y llama a los metodos ordenar, actId y actSaldos

Parameters:
  `usuario` - Usuario al que corresponde el archivo que se abrira

### Method Detail

#### aņadir

    public void aņadir(java.lang.String fecha,
                       java.lang.String documento,
                       java.lang.String fd,
                       java.lang.String desc,
                       java.lang.String ing,
                       java.lang.String egr)

Genera el id para la nueva linea, calcula el saldo y aņade la linea generada al archivo

Parameters:
  `fecha` - Fecha con formato dd/mm/yyyy
  `documento` - Forma de pago
  `fd` - Fuente o destino
  `desc` - Descripcion
  `ing` - Ingreso, debe corresponder al formato de un int
  `egr` - Egreso, debe corresponder al formato de un int

#### modificarFila

    public void modificarFila(java.lang.String id,
                              java.lang.String fecha,
                              java.lang.String documento,
                              java.lang.String fd,
                              java.lang.String desc,
                              java.lang.String ing,
                              java.lang.String egr)

Modifica una fila que contenga el id entregado

Parameters:
  `id` - Identificador de la fila a modificar
  `fecha` - Fecha con formato dd/mm/yyyy
  `documento` - Forma de pago
  `fd` - Fuente o destino
  `desc` - Descripcion
  `ing` - Ingreso, debe corresponder al formato de un int
  `egr` - Egreso, debe corresponder al formato de un int

#### eliminarFila

    public void eliminarFila(java.lang.String id)

Elimina la fila que contenga el id entregado

Parameters:
  `id` - Identificador de la fila a eliminar

#### ordenar

    public void ordenar()

Ordena las filas del archivo respecto a sus fechas

#### actSaldos

    public void actSaldos()

Actualiza todos los saldos dentro del archivo para que sean correspondientes. Esto es por que cualquier reordenamiento en las filas del archivo rompe el contenido de la columna de saldos.

#### actId

    public void actId()

Actualiza los id de las filas del archivo esto para que despues de cualquier reordenamiento se mantenga el orden en los ids

#### getLastRow

    public java.lang.String[] getLastRow()

Entrega la ultima fila en el archivo

Returns:
  La ultima fila del archivo dividida en los ;

#### getRow

    public java.lang.String[] getRow(int id)

Entrega la fila correspondiente al id

Parameters:
  `id` - Identificador de la fila
Returns:
  La fila que contenga ese id

#### getRowCount

    public int getRowCount()

Returns:
  Cantidad total de filas en el archivo

#### isFiled

    public boolean isFiled()

Comprueba si el archivo tiene contenido, se considera eso como verdadero cuando el archivo contiene mas de 5 caracteres

Returns:
  Booleano indicando si tiene contenido o no

#### resumenMes

    public java.lang.String[][] resumenMes()

Genera un String[][] con un resumen por mes de cada archivo, teniendo en siendo el primer indice correspondiente a fecha/saldo/ingresos/egresos y el segundo indice correspondiente a cada mes contenido en el archivo

Returns:
  String[][] con los datos del resumen

#### resumenDoc

    public int[] resumenDoc()

Genera un resumen de los datos en el archivo respecto a el tipo de documento.

Returns:
  int[] con los saldos respecto al documento utilizado